@echo off
cls
echo : Select the L_H configuration you want:
if  not exist l_h_ici1 goto l_h_ici1
if  not exist l_h_idnl goto l_h_idnl
if  not exist l_h_iduk goto l_h_iduk
if  not exist l_h_idpl goto l_h_idpl
if  not exist l_h_iinl goto l_h_iinl
if  not exist l_h_iiuk goto l_h_iiuk
if  not exist l_h_isuk goto l_h_isuk

echo : PLAIN TEXT mains no texts will be added in the generated text
echo :
echo : Possible choices:
echo : U = UK english only user interface
echo : V = UK english and dutch as an alternative user interface
echo : W = UK english only user interface; plain text
echo : X = UK english and dutch user interface; plain text
echo :
echo : D = Dutch only user interface
echo : E = Dutch and UK english as an alternative user interface
echo : F = Dutch only; plain text
echo : G = Dutch and UK english user interface; plain text
echo :
echo : Q = Quit
choice Select configuration quvwxdefg
IF errorlevel 9 goto nlukpl
IF errorlevel 8 goto nlpl
IF errorlevel 7 goto nluk
IF errorlevel 6 goto nl
IF errorlevel 5 goto uknlpl
IF errorlevel 4 goto ukpl
IF errorlevel 3 goto uknl
IF errorlevel 2 goto uk
echo : Quit .ini-file generation
goto exit

:nlukpl
COPY l_h_iinl+l_h_isuk+l_h_idpl+l_h_ici1+l_h_iiuk l_h.ini
echo : Nederlands/engelse, kale tekst configuratiebestand aangemaakt
goto exit

:nluk
COPY l_h_iinl+l_h_isuk+l_h_idnl+l_h_ici1+l_h_iiuk l_h.ini
echo : Nederlands/engelse configuratiebestand aangemaakt
goto exit

:nl
COPY l_h_iinl+l_h_isuk+l_h_idnl+l_h_ici1 l_h.ini
echo : Nederlands configuratiebestand aangemaakt
goto exit

:nlpl
COPY l_h_iinl+l_h_isuk+l_h_idpl+l_h_ici1 l_h.ini
echo : Nederlands, kale tekst configuratiebestand aangemaakt
goto exit

:uknlpl
COPY l_h_iiuk+l_h_isuk+l_h_idpl+l_h_ici1+l_h_iinl l_h.ini
echo : UK english/dutch, plain text configuration file has been prepared
goto exit

:uknl
COPY l_h_iiuk+l_h_isuk+l_h_iduk+l_h_ici1+l_h_iinl l_h.ini
echo : UK english/dutch configuration file has been prepared
goto exit

:uk
COPY l_h_iiuk+l_h_isuk+l_h_iduk+l_h_ici1 l_h.ini
echo : UK english configuration file has been prepared
goto exit

:ukpl
COPY l_h_iiuk+l_h_isuk+l_h_idpl+l_h_ici1 l_h.ini
echo : UK english, plain text configuration file has been prepared
goto exit

:l_h_ici1
echo *** Error: File L_H_ICI1 missing
goto exit

:l_h_idnl
echo *** Error: File L_H_IDNL missing
goto exit

:l_h_iduk
echo *** Error: File L_H_IDUK missing
goto exit

:l_h_iinl
echo *** Error: File L_H_IINL missing
goto exit

:l_h_iiuk
echo *** Error: File L_H_IIUK missing
goto exit

:l_h_isuk
echo *** Error: File L_H_ISUK missing
goto exit

:exit
